# OCI-Lob::write

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

OCI-Lob::write — Writes data to the large object

### Description

OCI-Lob::write ( string `$data` [, int `$length` ] ) : int

Writes data from the parameter `data` into the current position of LOB's internal pointer.

### Parameters

`data`

  The data to write in the LOB.

`length`

  If this parameter is given, writing will stop after `length` bytes have been written or the end of `data` is reached, whichever comes first.

### Return Values

Returns the number of bytes written or `FALSE` on failure.

### See Also

- OCI-Lob::read